<?php
  include("header.php");
  include("conexionOdo.php"); 
  //recibe tipo numero de identificacion
  session_start();
  $s_identifica = $_SESSION['cedula'];
  $s_tipoId     = $_SESSION['tipoId'];
  $s_perfil     = $_SESSION['perfil'];
  
  $s_numConsulta = $_GET['numConsulta'];
  $s_tipo        = $_GET['tipo'];

 ?>
 
 <table align="center" width="960">
  <tr class="camposLista">
            <td width="100%"  align="center"><span class="icon-user-check" style="font-size:20px; color:rgba(41, 128, 185, 1);"> <span style="font-size:20px; font-family:Arial; color:#e67e22;"> INCAPACIDADES </span> </span></td> 
   </tr>
</table>     
      
 <?php
  
 // conexion a la base de datos


  // Realiza consulta de usuarios MySQL
  $query = "SELECT count(*) AS numI FROM SIO_INCAPACIDAD WHERE idPaciente=$s_identifica AND numConsulta=$s_numConsulta";
  $result = mysql_query($query) or die('Consulta fallida: ' . mysql_error());
  $line = mysql_fetch_array($result, MYSQL_ASSOC);
  //asigna valores a variables de trabajo
  $incapacidades = $line["numI"];
  // Liberar resultados
  mysql_free_result($result);
  
  if ($incapacidades>0)
  {
    $query = "SELECT A.numConsulta, A.numIncapacidad, A.fecInicial, A.fecFinal, A.medConsulta, A.diasSolicitados,".
           "  CONCAT(B.nomPaciente, ' ',  B.apell1paciente, ' ',  B.apell2Paciente) AS paciente, ".
           "  CONCAT(C.nomUsuario,  ' ',  C.apell1Usuario,  ' ',  C.apell2Usuario) AS usuario, ". 
           "  A.tipoHistoria AS tipo ".
           " FROM SIO_INCAPACIDAD A, SIME_BAS_PACIENTE B, SIME_BAS_N_USUARIOS C".
           " WHERE A.idPaciente = B.idPaciente AND ".
           "       A.medConsulta= C.idUsuario  AND " .
           "       A.idPaciente = $s_identifica  AND " .
           "       A.tipoId = '$s_tipoId' AND A.numConsulta=$s_numConsulta " .
           " ORDER BY A.numConsulta desc";   
    $result = mysql_query($query) or die('Consulta de lista de consultas fallida: ' . mysql_error());

    //$line = mysql_fetch_array($result, MYSQL_ASSOC);
  
    $cantRegistros=mysql_num_rows($result);
 
    $i=0;
    while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
       
           $s_numConsulta      = $line["numConsulta"];
           $s_numIncapacidad   = $line["numIncapacidad"];
           $s_fecInicial       = $line["fecInicial"];
           $s_fecFinal         = $line["fecFinal"];
           $s_diasSolicitados  = $line["diasSolicitados"];  
         
           echo("<table class='camposTabla' align='center'  width='700' border='0' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($i==0){// para mostrar titulos 
                 echo ("<tr>\n");
                   echo   ("<td class='titulosTabla' align='center' colspan='4'>INCAPACIDADES GENERADAS PARA LA HISTORIA No. $s_numConsulta</td>\n");
                 echo("</tr>\n");
                 echo("<tr class='titulosLista'>\n");
                  echo("<td width='150' align='center'>Detalles</td>\n");
                  echo("<td width='200' align='center'>Fecha de Inico</td>\n");
                  echo("<td width='200' align='center'>Fecha Final</td>\n");
                  echo("<td width='200' align='center'>N&uacute;mero de D&iacute;as</td>\n");
                echo("</tr>\n");
              }
             
              echo ("<tr class='camposLista'>\n");   
               echo("<td width='150' align='center'><a href=imprimeIncapacidad.php?tipoHis=$s_tipo&nroCta=$s_numConsulta&nIncapacidad=$s_numIncapacidad target='central'><span class='icon-zoom-in' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>$s_numIncapacidad</a></td>\n");
              
                echo("<td width='200' align='center'>$s_fecInicial</td>\n");
                echo("<td width='200' align='center'>$s_fecFinal</td>\n");
                echo("<td width='200' align='center'>$s_diasSolicitados</td>\n");
             echo("</tr>\n");
           
       
       //Definicion de variables de entrada
 
           $i = $i+1;
    }//while 
    echo ("</table>\n") ;   
           
    if ($i==0)
    {
         echo("<table align= 'center' class='camposTabla' width='100%' border='1' cellpading='0'>\n");
           echo("<tr>\n");
             echo("<td align='center'>El paciente no tiene Incapacidades relacionadas</td>\n");
           echo("</tr>\n");
         echo ("</table>\n") ;    
    }

 
  }//if >0
  
  else
  {
    echo("<table align= 'center' class='camposTabla' width='960'  border='1' cellpading='0'>\n");
      echo("<tr>\n");
       echo("<td align='center' class='titulosTabla'>El paciente no tiene incapacidades relacionadas para la consulta seleccionada: $s_numConsulta</td>\n");
      echo("</tr>\n");
    echo ("</table>\n") ;    
  }
  
  ?>
</table>
 
 <?php      
  if ($s_perfil=="O")
  {
 ?>      
 <table align="ceter" width="960">
   <tr>
     <td align="center">
      <a href="genIcapacidad1.php?nroCta=<?=$s_numConsulta?>&tipo=<?=$s_tipo?>" class="button blue">
	<span class="icon-folder-plus"></span>Nueva Incapacidad
      </a>
     </td> 
   </tr>
 </table>      
 <?php
  }
 ?>       
 